For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
      • POSTRedeem SAML Access Code
      • POSTGet SAML Redirect Url
Login
Logo
API ReferenceSAML

Get SAML Redirect Url

POST
https://api.ssoready.com/v1/saml/redirect
POST
/v1/saml/redirect
$curl -X POST https://api.ssoready.com/v1/saml/redirect \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "organizationExternalId": "my_custom_external_id"
>}'
200Successful
1{
2 "redirectUrl": "https://your.redirect.url"
3}
Gets a SAML initiation URL to redirect your users to.
Was this page helpful?
Previous

List SCIM Users

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
samlConnectionIdstringOptional

The SAML connection to start a SAML login for.

One of samlConnectionId, organizationId, or organizationExternalId must be specified.

organizationIdstringOptional

The ID of the organization to start a SAML login for.

The primary SAML connection in this organization will be used for logins.

One of samlConnectionId, organizationId, or organizationExternalId must be specified.

organizationExternalIdstringOptional

The externalId of the organization to start a SAML login for.

The primary SAML connection in this organization will be used for logins.

One of samlConnectionId, organizationId, or organizationExternalId must be specified.

statestringOptional

This string will be returned back to you when you redeem this login’s SAML access code.

You can do anything you like with this state, but the most common use-case is to keep track of where to redirect your user back to after logging in with SAML.

Response

OK
redirectUrlstring
Redirect your user to this URL to start a SAML login.